> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a ordered revenue report

> Create an "ordered revenue" report (Amazon Vendor). The generated report CSV contains the columns defined in the `OrderedRevenueReportColumns` schema. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/orderedRevenue
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/orderedRevenue:
    post:
      tags:
        - report
      summary: Create a ordered revenue report
      description: >-
        Create an "ordered revenue" report (Amazon Vendor). The generated report
        CSV contains the columns defined in the `OrderedRevenueReportColumns`
        schema. Use the /reports/status/{reportId} endpoint to check report
        status and obtain the download URL.
      operationId: createOrderedRevenueReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrderedRevenueReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/OrderedRevenueReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateOrderedRevenueReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CommonReportOptions'
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    OrderedRevenueReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Ordered Revenue report CSV (Amazon
        Vendor). Columns 'vpi' and 'brand' may be included depending on the data
        granularity.
      properties:
        title:
          type: string
          description: Product title
        asin:
          type: string
          description: Amazon Standard Identification Number
        vpi:
          type: string
          description: Vendor Product Identifier
        brand:
          type: string
          description: Brand name
        categoryLabel:
          type: string
          description: Product category
        parentCategory:
          type: string
          description: Parent product category
        glanceViews:
          type: number
          description: Number of product detail page views (current period)
        priorGlanceViews:
          type: number
          description: Number of product detail page views (prior period)
        orderedRevenue:
          type: number
          description: Ordered revenue (current period)
        priorOrderedRevenue:
          type: number
          description: Ordered revenue (prior period)
        orderedUnits:
          type: number
          description: Units ordered (current period)
        priorOrderedUnits:
          type: number
          description: Units ordered (prior period)
        avgPrice:
          type: number
          description: Average product price
        unitsPerGlanceViews:
          type: number
          description: Units ordered per glance view
        conversionRate:
          type: number
          description: 'Conversion rate: Units per view (current period)'
        priorConversionRate:
          type: number
          description: 'Conversion rate: Units per view (prior period)'
    CommonReportOptions:
      type: object
      properties:
        fromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the reporting
            period
        toDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the reporting
            period
        priorFromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the comparison
            period
        priorToDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the comparison
            period
        timezone:
          type: string
          description: >-
            The timezone string you wish to see the report in (e.g.
            'America/Los_Angeles') see
            https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````